Forum: Ruby Ruby 1.9 WinCE Port

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
F5d98825300873dfbb86d6ac5dc9ca08?d=identicon&s=25 Brian White (mscdex)
on 2009-01-13 09:19
I recently downloaded Ruby 1.9.x and noticed that the WinCE port is now
gone. There was a blog post (can't recall the site name) from 6 months
ago or so that I saw about the removal of several ports in 1.9. I know
it is late to be promoting this but, I would like to see the WinCE port
continue if at all possible.

I've spent countless hours today merely trying to get several different
versions of the WinCE port for 1.8.x to compile properly to no avail. I
thought maybe someone out there with the knowhow would be willing to
revive it in 1.9.x.

The reason I am concerned about the removal of this platform is because
the port (would have) allowed Ruby to be run on legacy handhelds
(HPC/Pro and HPC2000 in particular) as well as Windows Mobile devices.
Having the ease of programming and the power of Ruby on these older
devices would effectively breathe new life into them, since the number
of active developers for these old platforms are pretty much nil
nowadays (but the devices still prove to be very useful to many - see
HPCFactor.com as an example).

I myself do not have WinCE (HPC) devices on hand to provide testing
support, but I know of others that do have access to such devices and
can help with testing of the port.
This topic is locked and can not be replied to.